package com.notificationFramework.stimulusStrategy;


/**
 * Created by Peter De Jonckheere on 09/01/2018.
 * <p>
 * The interface for strategies to be created from.
 * </p>
 */

public interface StimulusStrategy {

    /**
     * The method which all strategies must implement, cancelling alarms on triggers and setting new
     * ones.
     */
    void monitor();
}
